Package io.strimzi.systemtest.kafkaclients.externalClients

## Class TracingExternalKafkaClient

- java.lang.Object
- - io.strimzi.systemtest.kafkaclients.AbstractKafkaClient<TracingExternalKafkaClient.Builder>
  - - io.strimzi.systemtest.kafkaclients.externalClients.TracingExternalKafkaClient

- All Implemented Interfaces:
    `KafkaClientOperations`

      public class TracingExternalKafkaClient
      extends AbstractKafkaClient<TracingExternalKafkaClient.Builder>
      implements KafkaClientOperations

  The TracingKafkaClient for sending and receiving messages using tracing properties. The client is using an external listeners.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `TracingExternalKafkaClient.Builder` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getServiceName()` |
    `int` | `receiveMessagesPlain​(long timeoutMs)` | Receiving plain messages with the selected client
    `int` | `receiveMessagesTls​(long timeoutMs)` | Sending encrypted messages using Tls technology with the selected client
    `int` | `sendMessagesPlain​(long timeoutMs)` | Sending plain messages with the selected client
    `int` | `sendMessagesTls​(long timeoutMs)` | Sending encrypted messages using Tls technology with the selected client
    `TracingExternalKafkaClient.Builder` | `toBuilder()` |
    `String` | `toString()` |

    - ### Methods inherited from class io.strimzi.systemtest.kafkaclients.AbstractKafkaClient

      `getBootstrapServerFromStatus, getCaCertName, getConsumerGroup, getConsumerProperties, getKafkaUsername, getListenerName, getMessageCount, getPartition, getProducerProperties, getSecretPrefix, getSecurityProtocol, getTopicName, setMessageCount, verifyProducedAndConsumedMessages`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### toBuilder

          public TracingExternalKafkaClient.Builder toBuilder()

    - #### sendMessagesPlain

          public int sendMessagesPlain​(long timeoutMs)

      Description copied from interface: `KafkaClientOperations`
      Sending plain messages with the selected client
      Specified by:
        `sendMessagesPlain` in interface `KafkaClientOperations`
      Parameters:
        `timeoutMs` - timeout in milliseconds
      Returns:
        count of messages

    - #### sendMessagesTls

          public int sendMessagesTls​(long timeoutMs)

      Description copied from interface: `KafkaClientOperations`
      Sending encrypted messages using Tls technology with the selected client
      Specified by:
        `sendMessagesTls` in interface `KafkaClientOperations`
      Parameters:
        `timeoutMs` - timeout in milliseconds
      Returns:
        count of messages

    - #### receiveMessagesPlain

          public int receiveMessagesPlain​(long timeoutMs)

      Description copied from interface: `KafkaClientOperations`
      Receiving plain messages with the selected client
      Specified by:
        `receiveMessagesPlain` in interface `KafkaClientOperations`
      Parameters:
        `timeoutMs` - timeout in milliseconds
      Returns:
        count of messages

    - #### receiveMessagesTls

          public int receiveMessagesTls​(long timeoutMs)

      Description copied from interface: `KafkaClientOperations`
      Sending encrypted messages using Tls technology with the selected client
      Specified by:
        `receiveMessagesTls` in interface `KafkaClientOperations`
      Parameters:
        `timeoutMs` - timeout in milliseconds
      Returns:
        count of messages

    - #### getServiceName

          public String getServiceName()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractKafkaClient<TracingExternalKafkaClient.Builder>`